logo

Suletuxe.de
Linux - Nutzer
helfen
Linux - Nutzern

Willkommen, Gast. Bitte Login oder Registrieren.
22. Mai 2024, 01:43:19
Übersicht Hilfe Suche Login Registrieren

Amateurfunk Sulingen
Diskussions- und Newsboard der Linux Interessen Gruppe Suletuxe  |  allgemeine Kategorie  |  Installation & Einrichtung  |  Thema: youtube-dl funktioniert bei mir seit kurzem nicht mehr « zurück vorwärts »
Seiten: [1] nach unten Drucken
   Autor  Thema: youtube-dl funktioniert bei mir seit kurzem nicht mehr  (Gelesen 2590 mal)
barbalin
Newbie
*

Offline

Einträge: 19





Profil anzeigen
youtube-dl funktioniert bei mir seit kurzem nicht mehr
« am: 24. Februar 2023, 10:37:01 »

Moin in die Runde

"youtube-dl" funktioniert bei mir seit kurzem nicht mehr.  Rausgeschmissen, neu via "Software hinzufügen"  reingeladen, geht nach wie vor nicht.  Habe die Info vom 22.8.22 hier im Forum zu "yt-dlp" gesehen und dieses jetzt mal versucht - geht auch nicht..... 
Ist das nur bei mir so oder gibt es da ein generelles Problem derzeit?
Hat jemand Infos/  Alternativen zu "youtube-dl"?

Vielleicht ja morgen beim Anwendertreffen (25.2.23)?

Besten Gruß Barbara
Gespeichert
Andreas
Administrator
*****

Offline

Einträge: 1156



Linux von Innen

Profil anzeigen
Re:youtube-dl funktioniert bei mir seit kurzem nicht mehr
« Antwort #1 am: 24. Februar 2023, 12:59:26 »

Funktionierte bei mir heute morgen noch einwandfrei.

Gibt es eine Fehlermeldung?

LG
Andreas
Gespeichert

Wissen ist das einzige Gut, das mehr wird, wenn man es teilt - wenn es Menschen gibt, die es weitergeben, und es Menschen gibt, die bereit sind, dieses Geschenk auch unter eigenem Einsatz anzunehmen.


Freiheit zu erkämpfen reicht nicht. Man muss sie auch verteidigen.
barbalin
Newbie
*

Offline

Einträge: 19





Profil anzeigen
Re:youtube-dl funktioniert bei mir seit kurzem nicht mehr
« Antwort #2 am: 24. Februar 2023, 16:08:25 »

Die Fehlermeldung lautet wie folgt =>

ERROR: Unable to extract uploader id; please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; see  https://yt-dl.org/update  on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.



Gespeichert
Andreas
Administrator
*****

Offline

Einträge: 1156



Linux von Innen

Profil anzeigen
Re:youtube-dl funktioniert bei mir seit kurzem nicht mehr
« Antwort #3 am: 24. Februar 2023, 17:40:14 »

Diese Fehlermeldung habe ich auch ab und an - wenn ich von Seiten die "nicht üblich" sind wie z.B. Medienseiten von Zeitungen oder TV-Sendern (spezielle Videoeinbettungstechniken) downloaden will. Selbstverständlich kann man auch von dort downloaden - dazu muss man sich aber im Debug-Modus des Browsers ansehen wie das Video eingebettet ist und dann aus der Seite die notwendigen Links per Kopf und Hand extrahieren. Bei Youtube ist mir das noch nie passiert.

Mach doch mal das was in der Meldung steht: probiere es mit dem Parameter --verbose.

EDIT:
Versuch mal das hier - das muss gehen:
Code:
yt-dlp --verbose https://www.youtube.com/watch?v=2bFjcDbPhBs

LG
Andreas
« Letzte Änderung: 25. Februar 2023, 09:43:59 von Andreas » Gespeichert

Wissen ist das einzige Gut, das mehr wird, wenn man es teilt - wenn es Menschen gibt, die es weitergeben, und es Menschen gibt, die bereit sind, dieses Geschenk auch unter eigenem Einsatz anzunehmen.


Freiheit zu erkämpfen reicht nicht. Man muss sie auch verteidigen.
barbalin
Newbie
*

Offline

Einträge: 19





Profil anzeigen
Re:youtube-dl funktioniert bei mir seit kurzem nicht mehr
« Antwort #4 am: 24. Februar 2023, 19:41:53 »

Danke für die Rückmeldung. Das klappt auch nicht...  vielleicht ergibt sich am Samstag abend was, bzw. ich bleib halt dran an der Sache.... 
Gespeichert
Dietrich
Full Member
***

Offline

Einträge: 124



Immer schön neugierig bleiben

Profil anzeigen
Re:youtube-dl funktioniert bei mir seit kurzem nicht mehr
« Antwort #5 am: 24. Februar 2023, 20:15:00 »

ich habe yt-dlp getestet es geht, dann musst Du natürlich
yt-dlp <Pfad zum Video>
eingeben

;-)
Gespeichert
Andreas
Administrator
*****

Offline

Einträge: 1156



Linux von Innen

Profil anzeigen
Re:youtube-dl funktioniert bei mir seit kurzem nicht mehr
« Antwort #6 am: 25. Februar 2023, 08:11:21 »

Ds muss eine Fehlbedienung (oder ein irgendwie vergurktes System) sein. Sicher können wir uns das heute Abend ansehen. Mein Ziel der Treffen ist es dass ihr die Ursache für solch ein Problem selbst herausfinden könnt. Es gibt bei dieser Fehlermeldung eigentliche nur diese (nach der Wahrscheinlichkeit absteigend sortiert):
  • die Namensauflösung der angegebenen URL klappt nicht
  • das angegebene Video ist in einer inkompatbilen Methode eingebettet
  • die Entschlüsselung schlägt fehl (verursacht durch eine beschädigte / veraltete OPENSSL Funktion)
  • im Zielverzeichnis hat der User nicht genügend Rechte
Mit --verbose ist die Ausgabe der Fehlermeldung sicher noch viel zielführender - aber man muss eben erstmal in der Lage sein die Ausgabe zu interpretieren. Genau diese Kompetenzen möchte ich in meinen Treffen bei jedem aufbauen!

LG
Andreas
« Letzte Änderung: 25. Februar 2023, 09:01:10 von Andreas » Gespeichert

Wissen ist das einzige Gut, das mehr wird, wenn man es teilt - wenn es Menschen gibt, die es weitergeben, und es Menschen gibt, die bereit sind, dieses Geschenk auch unter eigenem Einsatz anzunehmen.


Freiheit zu erkämpfen reicht nicht. Man muss sie auch verteidigen.
Andreas
Administrator
*****

Offline

Einträge: 1156



Linux von Innen

Profil anzeigen
Re:youtube-dl funktioniert bei mir seit kurzem nicht mehr
« Antwort #7 am: 25. Februar 2023, 09:45:51 »

Hier die Ausgabe des Befehls ein paar Posts höher bei mir (geht natürlich auch ohne Pfad - dann ist der Zielort der Ort an dem man sich befindet):
Code:
yt-dlp --verbose https://www.youtube.com/watch?v=2bFjcDbPhBs
[debug] Command-line config: ['--verbose', 'https://www.youtube.com/watch?v=2bFjcDbPhBs']
[debug] Encodings: locale UTF-8, fs utf-8, pref UTF-8, out utf-8, error utf-8, screen utf-8
[debug] yt-dlp version 2023.02.17 [a0a7c01]
[debug] Python 3.10.9 (CPython x86_64 64bit) - Linux-6.2.0-zen1-1-zen-x86_64-with-glibc2.37 (OpenSSL 3.0.8 7 Feb 2023, glibc 2.37)
[debug] exe versions: ffmpeg 5.1.2 (setts), ffprobe 5.1.2, rtmpdump 2.4
[debug] Optional libraries: Cryptodome-3.12.0, brotlicffi-1.0.9.2, certifi-2022.12.07, secretstorage-3.3.3, sqlite3-2.6.0, websockets-10.4
[debug] Proxy map: {}
[debug] Loaded 1782 extractors
[youtube] Extracting URL: https://www.youtube.com/watch?v=2bFjcDbPhBs
[youtube] 2bFjcDbPhBs: Downloading webpage
[youtube] 2bFjcDbPhBs: Downloading android player API JSON
[youtube] 2bFjcDbPhBs: Downloading MPD manifest
[debug] Sort order given by extractor: quality, res, fps, hdr:12, source, vcodec:vp9.2, channels, acodec, lang, proto
[debug] Formats sorted by: hasvid, ie_pref, quality, res, fps, hdr:12(7), source, vcodec:vp9.2(10), channels, acodec, lang, proto, filesize, fs_approx, tbr, vbr, abr, asr, vext, aext, hasaud, id
[debug] Default format spec: bestvideo*+bestaudio/best
[info] 2bFjcDbPhBs: Downloading 1 format(s): 248+251
[debug] Invoking dashsegments downloader on "https://manifest.googlevideo.com/api/manifest/dash/expire/1677339791/ei/L9j5Y_LFApqP-gaA-aPQDA/ip/2003%3A6%3A39d%3Ab745%3A180%3Ab629%3A201c%3Ae128/id/d9b1637036cf841b/source/youtube/requiressl/yes/playback_host/rr2---sn-4g5e6nze.googlevideo.com/mh/Ip/mm/31%2C29/mn/sn-4g5e6nze%2Csn-4g5edndz/ms/au%2Crdu/mv/m/mvi/2/pl/52/tx/24468618/txs/24468614%2C24468615%2C24468616%2C24468617%2C24468618/hfr/all/as/fmp4_audio_clear%2Cwebm_audio_clear%2Cwebm2_audio_clear%2Cfmp4_sd_hd_clear%2Cwebm2_sd_hd_clear/initcwndbps/1598750/vprv/1/mt/1677317831/fvip/4/keepalive/yes/fexp/24007246/itag/0/sparams/expire%2Cei%2Cip%2Cid%2Csource%2Crequiressl%2Ctx%2Ctxs%2Chfr%2Cas%2Cvprv%2Citag/sig/AOq0QJ8wRQIhAMXg5TisxyGjs8YY4zAP4fcXJT3vMpXWfL-7IEdjYcMgAiBBXvIMPBsorARIuCUjJgR4nfZzeP409N_lb-Ruv5GiPw%3D%3D/lsparams/playback_host%2Cmh%2Cmm%2Cmn%2Cms%2Cmv%2Cmvi%2Cpl%2Cinitcwndbps/lsig/AG3C_xAwRQIhAPbIIFxDEHFuctw2KtY0ihEKyNIBBAJB6CpVh4JG5x8CAiAeq7gBhJMMhTRYnhkjPjbeUuQDMY_Vi8QGtlAssyQ5VQ%3D%3D"
[dashsegments] Total fragments: 66
[download] Destination: Linux in 5 Minuten: Shell Grundlagen & Einführung (Dateien kopieren mit cp) [2bFjcDbPhBs].f248.webm
[download] 100% of  15.01MiB in 00:00:24 at 629.36KiB/s
[debug] Invoking http downloader on "https://rr4---sn-4g5edndz.googlevideo.com/videoplayback?expire=1677339791&ei=L9j5Y46rG5rJgAfQy6b4DQ&ip=2003%3A6%3A39d%3Ab745%3A180%3Ab629%3A201c%3Ae128&id=o-AJl8speumwgtwCMv-qoKm_txjy86PY0Z6j0heonmfxK7&itag=251&source=youtube&requiressl=yes&mh=Ip&mm=31%2C29&mn=sn-4g5edndz%2Csn-4g5e6nze&ms=au%2Crdu&mv=m&mvi=4&pl=52&initcwndbps=1593750&spc=H3gIhrHcialwowT5rZdvu7jl4EZcB_s&vprv=1&svpuc=1&mime=audio%2Fwebm&gir=yes&clen=4888803&dur=347.601&lmt=1566198926625121&mt=1677317831&fvip=2&keepalive=yes&fexp=24007246&c=ANDROID&txp=6201222&sparams=expire%2Cei%2Cip%2Cid%2Citag%2Csource%2Crequiressl%2Cspc%2Cvprv%2Csvpuc%2Cmime%2Cgir%2Cclen%2Cdur%2Clmt&sig=AOq0QJ8wRQIgS0BEB55ZR7mjlrKDl_r5GiIOGLLR2QE9ycelLLcCd_8CIQDMMZ3Fv2yfPTggnvUIrf1AzHhL8Nyj8rYOwlxUoWXUJA%3D%3D&lsparams=mh%2Cmm%2Cmn%2Cms%2Cmv%2Cmvi%2Cpl%2Cinitcwndbps&lsig=AG3C_xAwRQIgBEZvTiRXbE9OOToquN21We4sU059nxaEvNwoHNIQbAACIQDk_AbWy-vmlvvBWsPKZBBIG_oVodVM54_YnOEMvDGFUQ%3D%3D"
[download] Destination: Linux in 5 Minuten: Shell Grundlagen & Einführung (Dateien kopieren mit cp) [2bFjcDbPhBs].f251.webm
[download] 100% of    4.66MiB in 00:00:00 at 5.21MiB/s
[Merger] Merging formats into "Linux in 5 Minuten: Shell Grundlagen & Einführung (Dateien kopieren mit cp) [2bFjcDbPhBs].webm"
[debug] ffmpeg command line: ffmpeg -y -loglevel repeat+info -i 'file:Linux in 5 Minuten: Shell Grundlagen & Einführung (Dateien kopieren mit cp) [2bFjcDbPhBs].f248.webm' -i 'file:Linux in 5 Minuten: Shell Grundlagen & Einführung (Dateien kopieren mit cp) [2bFjcDbPhBs].f251.webm' -c copy -map 0:v:0 -map 1:a:0 -movflags +faststart 'file:Linux in 5 Minuten: Shell Grundlagen & Einführung (Dateien kopieren mit cp) [2bFjcDbPhBs].temp.webm'
Deleting original file Linux in 5 Minuten: Shell Grundlagen & Einführung (Dateien kopieren mit cp) [2bFjcDbPhBs].f248.webm (pass -k to keep)
Deleting original file Linux in 5 Minuten: Shell Grundlagen & Einführung (Dateien kopieren mit cp) [2bFjcDbPhBs].f251.webm (pass -k to keep)
...und so muss das bei Dir auch aussehen - tut es aber sicher nicht. Irgendwo zwischendrin wird es abbrechen - und da liegt dann das Problem...

LG
Andreas
Gespeichert

Wissen ist das einzige Gut, das mehr wird, wenn man es teilt - wenn es Menschen gibt, die es weitergeben, und es Menschen gibt, die bereit sind, dieses Geschenk auch unter eigenem Einsatz anzunehmen.


Freiheit zu erkämpfen reicht nicht. Man muss sie auch verteidigen.
Sebastian
Sr. Member
****

Offline

Einträge: 387





Profil anzeigen
Re:youtube-dl funktioniert bei mir seit kurzem nicht mehr
« Antwort #8 am: 26. Februar 2023, 08:46:42 »

Wie wir gestern Abend auch schon besprochen haben,

ist es bei yt-dlp oder anderen Youtube Downloadern sehr wichtig die neuste Version des Programms zu verwenden. Worauf auch schon diese Fehlermeldung hindeutet:

Zitat:
ERROR: Unable to extract uploader id; please report this issue on https://yt-dl.org/bug. Make sure you are using the latest version; see  https://yt-dl.org/update  on how to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.

Grund ist das Google an Youtube API /Webseite immer wieder Änderungen vornimmt, das Downloader wie yt-dlp aus dem Konzept bringen. Gefühlt passiert das einmal pro Quartal.
Dann muss man erst auf eine Version von yt-dlp warten, die diese Änderungen berücksichtigt.

Wenn man eine Distribution wie Arch oder EndeavourOS verwendet, bekommt man diese Updates relativ zeitnah.
Verwendet man hingegen eine Distribution die keine Rolling Release Konzept verfolgt, oder wie im fall von Manjaro (Pakete werden länger getestet, glaube ca. 4 Wochen Verzögerung) dann muss man halt dementsprechend länger warten bis es wieder funktioniert. Oder wenn man Erfahrung hat die neuste yt-dlp Version an seinem Paketmanager vorbei selbst installieren. Achtung: Dies setzt Erfahrung voraus, da man so Inkompatibilitäten schaffen kann.

Hier einmal ein Diagramm, wie der Update-Zyklus ungefähr bei Manjaro aussehen müsste.

Code:


[Neue Upstream Version Erscheint] ---ein paar Stunden/Tage---> [Arch Testing Repo] ---2 Wochen später wenn keine fehler gemeldet wurden---> [Normales Arch Repo]  ---ein paar Stunden/Tage---> /
[Manjaro Testing Repos] ---ca. 2 Wochen später ---> [Manjaro Repo]

Dadurch kommt es natürlich zu einer erheblichen Verzögerung für solche Zeit kritische Programme wie yt-dlp, die dann erst einmal eine Weile nicht mehr richtig funktionieren.

Das ist im übrigen auch der Grund warum es öfter zu Problemen kommen kann, wenn man sich Pakete aus dem AUR installieren möchte unter Manjaro, weil die Menschen die AUR Pakete pflegen sich auf dem Versionsstand der Arch Repos verlassen.
Wenn man dann natürlich aufgrund einer bewussten Distributions-Entscheidung Version technisch hinterherhinkt, kann es zu Abhängigkeits-Problemen kommen. Das ist auch einer der Gründe, warum unter Manjaro das AUR standardmäßig deaktiviert ist, und man es bewusst einschalten muss. Weil ein Umgang damit zusätzliche Erfahrung voraussetzt.

Welche Version man zur Zeit von yt-dlp installiert hat bekommt man übrigends so herraus:

Code:

yt-dlp --version

Die Version in den Arch Repos (Vorsicht Manjaro hat andere) ist die

2023.02.17

Also erst 9 Tage alt.


Bonus:

Ich habe mir mal den Changelog der neusten Version angeschaut.

Und in dem steht Folgendes sogar fett hinterlegt drin:

Zitat:
...
[extractor/youtube] Fix uploader_id extraction by bashonly
...

Kommt euch der Fehler bekannt vor?
Denn scheint es wohl momentan in Version 2023.02.17 nicht mehr zu geben

Grundsätzlich empfiehlt es sich also, wenn ein Programm nicht mehr richtig funktioniert, besonders wenn es auf externe Dinge zugreifen oder beeinflussen muss. Erst einmal zu prüfen Verwendet man die neuste Version des Programms (Der Fehler kann in der neusten Version schon korrigiert worden sein). Wenn ja und der Fehler besteht weiterhin, macht man sich am besten auf der Webseite bzw. Forum was auch immer des Programms schlau, ob der Fehler dort schon bekannt ist, und/oder ob daran schon gearbeitet wird.

Das erspart einem dann ganz viel Rätsel raten, warum es nicht funktioniert.

LG
Sebastian
« Letzte Änderung: 26. Februar 2023, 09:16:32 von Sebastian » Gespeichert

Andreas
Administrator
*****

Offline

Einträge: 1156



Linux von Innen

Profil anzeigen
Re:youtube-dl funktioniert bei mir seit kurzem nicht mehr
« Antwort #9 am: 26. Februar 2023, 09:15:51 »

...das ist einer der Gründe warum ich dringend die Verwendung von Arch (oder von Distributionen die direkt auf die Arch-Repos zugreifen) empfehle. In der heutigen Zeit (die hat vor ca. 10 Jahren begonnen) ist es ein sehr großer Vorteil wenn man schnell die aktuellste Software bekommt Es gibt keinen wirklich hieb- und stichfesten Grund auf Distributionen zu setzen die "lieber auf ältere, lang genug ausgetestete" Software bauen.

LG
Andreas
Gespeichert

Wissen ist das einzige Gut, das mehr wird, wenn man es teilt - wenn es Menschen gibt, die es weitergeben, und es Menschen gibt, die bereit sind, dieses Geschenk auch unter eigenem Einsatz anzunehmen.


Freiheit zu erkämpfen reicht nicht. Man muss sie auch verteidigen.
Sebastian
Sr. Member
****

Offline

Einträge: 387





Profil anzeigen
Re:youtube-dl funktioniert bei mir seit kurzem nicht mehr
« Antwort #10 am: 04. März 2023, 16:25:22 »

Es ist vorhin eine neue Version von

community/yt-dlp 2023.03.03-1

in den Arch Repos erschienen.

Hier nur ein kurzer Auszug aus dem Changelog was sich mit Youtube geändert hat.

Zitat:
youtube
Construct dash formats with range query by pukkandan (With fixes in f34804b by bashonly, coletdjnz)
Detect and break on looping comments (#6301) by coletdjnz
Extract channel view_count when /about tab is passed by pukkandan

Damit möchte ich noch einmal aufzeigen das Programme wie yt-dlp aktuell gehalten werden müssen. Damit diese weiterhin ihren Dienst tun können, da die Daten worauf diese Programme zugreifen in ständiger Veränderung sind.

LG
Sebastian
« Letzte Änderung: 04. März 2023, 16:26:21 von Sebastian » Gespeichert

Andreas
Administrator
*****

Offline

Einträge: 1156



Linux von Innen

Profil anzeigen
Re:youtube-dl funktioniert bei mir seit kurzem nicht mehr
« Antwort #11 am: 04. März 2023, 19:35:59 »

Das Vorgehen von Manjaro Pakete aus den Arch-Repos verzögert zur Verfügung zu stellen macht in meinen Augen diese Distri "unbenutzbar"...

LG
Andreas
Gespeichert

Wissen ist das einzige Gut, das mehr wird, wenn man es teilt - wenn es Menschen gibt, die es weitergeben, und es Menschen gibt, die bereit sind, dieses Geschenk auch unter eigenem Einsatz anzunehmen.


Freiheit zu erkämpfen reicht nicht. Man muss sie auch verteidigen.
Seiten: [1] nach oben Drucken 
Diskussions- und Newsboard der Linux Interessen Gruppe Suletuxe  |  allgemeine Kategorie  |  Installation & Einrichtung  |  Thema: youtube-dl funktioniert bei mir seit kurzem nicht mehr « zurück vorwärts »
Gehe zu: 


Login mit Username, Passwort und Session Länge

 Es wird die Verwendung "Blink"-basierter Browser und mindestens 1024x768 Pixel Bildschirmauflösung
für die beste Darstellung empfohlen
 
freie Software für freie Menschen!
Powered by MySQL Powered by PHP Diskussions- und Newsboard der Linux Interessen Gruppe Suletuxe | Powered by YaBB SE
© 2001-2004, YaBB SE Dev Team. All Rights Reserved.
- modified by Andreas Richter (DF8OE)
Valid XHTML 1.0! Valid CSS!